source: trunk/dports/graphics/gimp2

Revision Log Mode:


Legend:

Added
Modified
Copied or renamed
Diff Rev Age Author Log Message
(edit) @138244   4 years devans gimp2: build +quartz using gtk-osx-application-gtk2, increment …
(edit) @136285   5 years ionic misc: revbump ports dependent upon ghostscript (excluding runtime-only …
(edit) @134962   5 years devans intltool dependents already updated for intltool 0.51: change …
(edit) @134933   5 years devans gimp2: reconfigure using autogen.sh for intltool 0.51 compatibility.
(edit) @134932   5 years devans gimp2: reformat, white space only.
(edit) @127752   5 years devans gimp2: drop +python26 variant, default to optional +python27.
(edit) @124864   5 years devans gimp2: update to version 2.8.14, now uses lcms2, delete outdated patches.
(edit) @124730   5 years devans gimp2: update intltool macros in pre-configure to ensure that intltool …
(edit) @121269   5 years jeremyhu misc: Cleanup configure.cxx_stdlib related logic now that we can …
(edit) @119058   6 years devans babl, gegl, gimp2: fix livecheck url.
(edit) @116754   6 years devans gimp2: apply latest upstream patches, intltool configuration, …
(edit) @116253   6 years devans gimp2: apply latest upstream patches, increment revision.
(edit) @115553   6 years devans gimp2, gimp2-devel, gimp3-devel: fix configuration when python …
(edit) @115529   6 years devans gimp2: apply upstream patches from gimp-2-8 branch.
(edit) @115501   6 years devans gimp2: remove unnecessary +no_python variant.
(edit) @115485   6 years jeremyhu gimp2: Leopard build fix, update blacklisting
(edit) @115137   6 years jeremyhu misc: Rename cxx_stdlib to cxxstdlib to not conflict with the possible …
(edit) @115019   6 years ryandesign revbump ports depending on libpng following libpng 1.6.x update (#41842)
(edit) @114862   6 years ryandesign use eq instead of == for string comparisons
(edit) @114803   6 years devans gimp2: apply recent upstream patches.
(edit) @114583   6 years devans gimp2: conflicts gimp2-devel gimp3-devel, remove unused files.
(edit) @114328   6 years ryandesign use eq and ne instead of == and != when comparing ${os.arch}, …
(edit) @114314   6 years devans gimp2: fix webkit-gtk dependencies, one version not both.
(edit) @114237   6 years jeremyhu misc: Automatically prefer webkit-gtk-2.0 over webkit-gtk if using …
(edit) @114235   6 years jeremyhu multiple: Update webkit-gtk dependency to be satisfied by …
(edit) @114215   6 years devans gimp2: upstream bug fixes, help_browser now works with +quartz.
(edit) @114118   6 years devans gimp2: remove outdated osx integration patches.
(edit) @114115   6 years devans gimp2: update to verson 2.8.10, patch freetype includes to build with …
(edit) @113770   6 years sean gimp: remove python25 variant due to py-pygtk bump
(edit) @113381   6 years devans gimp2: back port upstream patches to enable Cocoa based OS X …
(edit) @113161   6 years jeremyhu multiple: Restore --verbose to autoreconf.args since base moved it out …
(edit) @112903   6 years devans gimp2: add missing build dependency.
(edit) @112900   6 years devans gimp, gimp2: update to version 2.8.8.
(edit) @110936   6 years takanori ghostscript has been updated and the library name has also been …
(edit) @108727   6 years devans ports referencing libpoppler.37: increment revision to rebuild against …
(edit) @107673   6 years jeremyhu gimp2: autoreconf to skip the INTLTOOL_PERL nonsense
(edit) @107464   6 years devans gimp2: update configuration, dependencies, adds postscript support …
(edit) @107415   6 years devans gimp2: disable +help_browser when +quartz is asserted due to webkit …
(edit) @107354   6 years devans desktop-file-utils dependents: make desktop-file-utils a library …
(edit) @107258   6 years devans gimp2: update to version 2.8.6, bug fix update, update desktop …
(edit) @106554   7 years cal icu: update to 51.2, revbump port echo depends:icu
(edit) @106145   7 years devans ports that link with libpoppler: increment revision to rebuild against …
(edit) @105164   7 years devans libpoppler dependents: increment revision to rebuild against libpoppler.36.
(edit) @104398   7 years devans poppler dependents: rebuild with poppler 0.22.2.
(edit) @102897   7 years devans gimp2, inkscape: increment revision to ensure rebuild against latest …
(edit) @102857   7 years devans some more jpeg dependents: increment revision to rebuild with libjpeg.9.
(edit) @102669   7 years devans gimp2, gimp: update to version 2.8.4.
(edit) @102275   7 years jeremyhu gimp2: Use compiler.blacklist
(edit) @100850   7 years devans dependents of poppler: increment revision to rebuild against poppler 0.22.
(edit) @100415   7 years raimue graphics/gimp2: We need to use the same version of perl with which …
(edit) @100337   7 years g5pw multiple: fix py-pygtk dependencies and revbump.
(edit) @98352   7 years ryandesign gimp2: add icu dependency
(edit) @98350   7 years devans webkit-gtk dependents: increment revision to rebuild those with …
(edit) @97757   7 years devans poppler: update to version 0.20.4, increment revision of effected …
(edit) @97405   7 years devans gimp2: update to version 2.8.2, fix Snow Leopard build, now builds …
(edit) @97040   7 years devans gimp2: update livecheck url.
(edit) @96974   7 years jeremyhu gimp2: Build --without-mac-twain for systems unfortunate enough to not …
(edit) @96531   7 years devans poppler dependents: increment of dependents missed in previous commit.
(edit) @96358   7 years devans gimp2: remove conflicts statement to allow this port to replace …
(edit) @96038   7 years dports bump revisions on poppler dependents after r95790
(edit) @95354   7 years devans gimp2: update to version 2.8.0.
(edit) @94093   8 years ryandesign gimp2: add libffi dependency; revbump to rebuild with recent libffi …
(edit) @91939   8 years jeremyhu gimp2: Don't build twain plugin on Leopard/64bit
(edit) @90340   8 years devans gimp2: update to version 2.6.12, add help dependency and set default …
(edit) @87912   8 years devans gimp2, gimp2-devel: add missing dependencies xorg-libXmu, xpm.
(edit) @86563   8 years devans gimp2, gimp2-devel: increment revision to rebuild against latest poppler.
(edit) @86020   8 years devans gimp-help-*: * new ports, up-to-date prebuilt GIMP HTML help …
(edit) @85342   8 years devans gimp2: backport code from 2.7.3 to deal with poppler 0.18, increment …
(edit) @85317   8 years devans gimp2: variants simplified as in gimp2-devel, no +no_x11 +x11 just …
(edit) @84955   8 years devans gimp2, gimp2-devel: ftp.gimp.org is temporarily down, use live gimp …
(edit) @84859   8 years devans gimp2: reorder elements to more closely match gimp2-devel, cosmetic …
(edit) @84439   8 years jmr gimp2: license
(edit) @84096   8 years devans gimp2: update livecheck url.
(edit) @80085   8 years jeremyhu gimp2: Add variants to choose between python versions (2.5, 2.6, and 2.7)
(edit) @77944   9 years devans gimp2: rebuild against latest libopenjpeg.
(edit) @77764   9 years devans various poppler dependents: increment revision to force rebuild …
(edit) @75626   9 years rmstonecipher 19 ports dependent on poppler, increased revision due to library …
(edit) @75193   9 years dports Revbump a pile of other ports that indirectly depend on libpng
(edit) @73147   9 years devans gimp2, gimp2-devel: update livecheck.
(edit) @72322   9 years devans various ports: ensure that ports that install hicolor icons also …
(edit) @72156   9 years devans gimp2: update to version 2.6.11, configuration, dependencies, disable …
(edit) @71696   9 years devans As a simplification, remove p5-xml-parser as a dependency when its …
(edit) @70837   9 years jmr gimp2: PKG_CONFIG_PATH doesn't need to include the default locations
(edit) @70706   9 years jmr gimp2: fix breakage from python26 changeover (#25972)
(edit) @70558   9 years devans Rebuild poppler dependents against latest libpoppler.7 (was libpoppler.6).
(edit) @70259   9 years devans gimp2: use python26, mark as conflicting with gimp2-devel
(edit) @70080   9 years devans gimp2: increment revision to force rebuild against updated gegl, babl, etc.
(edit) @69725   9 years devans gimp, gimp2: update to version 2.6.10.
(edit) @69633   9 years jmr gimp2: update to 2.6.9 (#25424)
(edit) @69552   9 years dports revbumps for ports that linked against openssl's libcrypto: gimp2, …
(edit) @69458   9 years dports Revbump all dependents of poppler to force rebuild after library …
(edit) @69155   9 years snc add reminder to bump metapackage version
(edit) @64832   10 years ryandesign gimp2: revbump for jpeg 8
(edit) @61996   10 years ryandesign gimp2: update to 2.6.8 and fix 64-bit compilation (see #21011)
(edit) @61514   10 years jmr gegl, libopenraw, gimp2: rev bump for jpeg 7 (#22869)
(edit) @57749   10 years ryandesign Remove "(default)" from the end of default variant descriptions …
(edit) @57490   10 years devans gimp2: remove unsupported darwin 7 platform variant.
(edit) @57375   10 years ryandesign Change deprecated livecheck.check to livecheck.type See …
(edit) @56036   10 years devans remove quartz variant descriptions that conflight with new global …
(edit) @56026   10 years devans gimp2: update dependencies.
Note: See TracRevisionLog for help on using the revision log.